A score can have different views - one for the score itself and one for each part, and each part can have its own formatting and text. Note: I may move this to part info module.

param measureFormats

  map of index to SmoMeasureFormat objects

param partIndex

  the associated part, or -1 for the score

### Hierarchy

- SmoScoreModifierBase
  - SmoFormattingManager

## Index

### Constructors

- constructor

### Methods

- updateFormat
- updateMeasureFormat

## Constructors

### constructor

- new SmoFormattingManager(params: SmoFormattingManagerParams): SmoFormattingManager

- Overrides SmoScoreModifierBase.constructor

  - Defined in src/smo/data/scoreModifiers.ts:72

  #### Parameters

  - ##### params: SmoFormattingManagerParams

  #### Returns SmoFormattingManager

## Methods

### updateFormat

- updateFormat(measure: SmoMeasure): void

- - Defined in src/smo/data/scoreModifiers.ts:103

  Update the measure format based on the format of a given measure

  #### Parameters

  - ##### measure: SmoMeasure

  #### Returns void

### updateMeasureFormat

- updateMeasureFormat(format: SmoMeasureFormat): void

- - Defined in src/smo/data/scoreModifiers.ts:96

  Update the measure format for the measure at the given index

  #### Parameters

  - ##### format: SmoMeasureFormat

  #### Returns void

Generated using TypeDoc